YUV420ToBGR
Color Model Conversion

YUV420 to BGR color conversion. More...

## Functions

NppStatus | nppiYUV420ToBGR_8u_P3C3R_Ctx (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YUV420 to 3 channel 8-bit unsigned packed BGR color conversion. More...
NppStatus | nppiYUV420ToBGR_8u_P3C3R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiYUV420ToBGR_8u_P3C4R_Ctx (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YUV420 to 4 channel 8-bit unsigned packed BGR color conversion with constant alpha (0xFF). More...
NppStatus | nppiYUV420ToBGR_8u_P3C4R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

YUV420 to BGR color conversion.

## Function Documentation

NppStatus nppiYUV420ToBGR_8u_P3C3R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYUV420ToBGR_8u_P3C3R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YUV420 to 3 channel 8-bit unsigned packed BGR color conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYUV420ToBGR_8u_P3C4R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYUV420ToBGR_8u_P3C4R_Ctx | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YUV420 to 4 channel 8-bit unsigned packed BGR color conversion with constant alpha (0xFF).

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation